# Create a RangeSliderComponent 
rangeSlider = new RangeSliderComponent
	width: 500
	point: Align.center
	knobSize: 60
	max: 100
	minValue: 15
	maxValue: 85


# Value readout on the left knob (min)
minValueLabel = new TextLayer
	size: rangeSlider.knobSize
	text: rangeSlider.minValue
	fontSize: 28
	lineHeight: 2.15
	textAlign: Align.center
	parent: rangeSlider.minKnob

# Value readout on the right knob (max)
maxValueLabel = minValueLabel.copy()
maxValueLabel.text = rangeSlider.maxValue
maxValueLabel.parent = rangeSlider.maxKnob


# Events
rangeSlider.onValueChange ->
	# Update the min value label
	minValueLabel.text = Utils.round this.minValue
	# Update the max value label
	maxValueLabel.text = Utils.round this.maxValue

# rangeSlider.onMinValueChange ->
# 	# Update the min value label
# 	minValueLabel.text = Utils.round this.minValue

# rangeSlider.onMaxValueChange ->
# 	# Update the max value label
# 	maxValueLabel.text = Utils.round this.maxValue

# Using «onMove» to track only the left button
# rangeSlider.minKnob.onMove ->
# 	minValueLabel.text = Utils.round @parent.minValue

